//
//  WebViewLinkViewController.m
//  WebViewLink
//
//  Created by Ivan Kalaica on 6/15/09.
//  Copyright Inchoo d.o.o 2009. All rights reserved.
//

#import "WebViewLinkViewController.h"

@implementation WebViewLinkViewController


- (void)viewDidLoad {
	
	[myWebView loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:@"http://inchoo.net"]]]; 
	
    [super viewDidLoad];
}

- (BOOL)webView:(UIWebView*)webView shouldStartLoadWithRequest:(NSURLRequest*)request navigationType:(UIWebViewNavigationType)navigationType {
	
	if(navigationType == UIWebViewNavigationTypeLinkClicked) {
		
		if (overrideLinksSwitch.on == TRUE) {
			
			[self myMethodAction];
		
			[myWebView stopLoading];
			
			return YES;
		}
		
		else {
			return YES;
		}
	}
	
	return YES;
}

- (void) myMethodAction {
	
	UIAlertView *nwAlert = [[UIAlertView alloc] initWithTitle:@"Info" 
													  message:@"Link Clicked!" 
													 delegate:self 
											cancelButtonTitle:@"OK" 
											otherButtonTitles:nil];
	[nwAlert show];
	[nwAlert release];
	
}


- (void)dealloc {
    [super dealloc];
}

@end
